﻿namespace MCScheduling.SimulatedAnnealing
{
    /**
     * Extended support for cloning, which creates a new instance
     * of a generic class with the same value as an existing instance.
     */
    public interface ICloneable<T> : System.ICloneable
    {
        /**
         * Copies this object into the specified instance.
         * 
         * @param instance The instance into which is going 
         *                 to be copied.
         */
        void Clone(T instance) ; 
    }
}
