﻿namespace MCScheduling.SimulatedAnnealing
{
    /**
     * The perturber used to change one state into
     * one of its neighbouring state.
     */
    public interface IPerturber<T>
    {
        /**
         * Tweaks the specified state creating
         * a new state.
         * 
         * @param state The state to perturb.
         */
        void perturb(T state) ;
    }
}
